gnutls_transport_set_errno_function(3)

NAME
gnutls_transport_set_errno_function - API function

SYNOPSIS
#include <gnutls/gnutls.h>

void gnutls_transport_set_errno_function(gnutls_session_t session, gnutls_errno_func errno_func);

ARGUMENTS

gnutls_session_t session
    is a gnutls_session_t structure.

gnutls_errno_func errno_func
    a callback function similar to write()

DESCRIPTION
This is the function where you set a function to retrieve errno after a failed push or pull operation.
 errno_func is of the form, int (*gnutls_errno_func)(gnutls_transport_ptr_t); and should return the errno.

SINCE
2.12.0

REPORTING BUGS
Report bugs to <bug-gnutls@gnu.org>.
General guidelines for reporting bugs: http://www.gnu.org/gethelp/
GnuTLS home page: http://www.gnu.org/software/gnutls/

COPYRIGHT
Copyright © 2012 Free Software Foundation, Inc..
Copying and distribution of this file, with or without modification, are permitted in any medium without royalty provided the copyright notice and this notice are preserved.

SEE ALSO
The full documentation for gnutls is maintained as a Texinfo manual. If the info and gnutls programs are properly installed at your site, the command

    info gnutls

should give you access to the complete manual. As an alternative you may obtain the manual from:

    http://www.gnu.org/software/gnutls/manual/